/*
 *  sound.hpp
 *  Template
 *
 *  Created by increpare on 16/01/2009.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */

#include <aldumb.h>

const int pan = 128;
const int volume = 128;

DUH* music[4];
SAMPLE* sample[1];

AL_DUH_PLAYER *dplay=NULL; /* Holds the current playback state. */

void stopmusic()
{
	//BASS_ChannelStop(curplay);
	if (dplay)
	{
		al_stop_duh(dplay);
		dplay=NULL;
	}
}

int curtrack=0;

void playmusic(int i)
{
	curtrack=i;
	stopmusic();

	dplay=al_start_duh(music[i],2,0,0.2f, 4096,11000);
}

void playsample(int vol=255)
{
	play_sample(sample[0], 255, pan, 1000, 0);
}

void setvol(int vol=255)
{
	adjust_sample(sample[0], 255, pan, 1000, 01);
}
void stopsample(int vol=255)
{
	stop_sample(sample[0]);
}

void randmusic()
{
}

void badmusic()
{
	playmusic(3);
}


void init_sound()
{

	if (install_sound(DIGI_AUTODETECT, MIDI_NONE, NULL) != 0) {
		allegro_message("Error initialising sound system\n%s\n", allegro_error);
	}
	atexit(&dumb_exit);
	set_mixer_quality(2);
	dumb_register_stdfiles();

	sample[0] = load_sample("wav/sweep_high.wav");

}
